Wallet
Register a non-custodial wallet address
Register a public wallet address for monitoring and indexing. All key operations (generation, signing) occur client-side only.
POST
/api/wallet/non-custodial/register-addressSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, WalletApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const wallet = new WalletApi(configuration);import { Configuration, WalletApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const wallet = new WalletApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await wallet.registerNonCustodialAddress(
{
address: "486 Kuphal Dale",
chain: "capacitor connect",
derivationPath: "protocol copy",
label: "protocol input",
projectId: "proj_7RwsCEHmaz6r"
}
);const { data: result } = await wallet.registerNonCustodialAddress(
{
address: "486 Kuphal Dale",
chain: "capacitor connect",
derivationPath: "protocol copy",
label: "protocol input",
projectId: "proj_7RwsCEHmaz6r"
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Request Body
json
{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"chain": "base",
"derivationPath": "m/44'/60'/0'/0/5",
"label": "User Wallet 5",
"projectId": "proj_qh5hFHNT70YZ"
}{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"chain": "base",
"derivationPath": "m/44'/60'/0'/0/5",
"label": "User Wallet 5",
"projectId": "proj_qh5hFHNT70YZ"
}Responses
201Address registered successfully
json
{
"success": true,
"message": "Address registered successfully",
"data": {
"_id": "65a1b2c3d4e5f6789012345a",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"chain": "ethereum",
"org": "685acbe0e129932fbb7a0fc3",
"project": "685ad30be129932fbb7a1047",
"derivationPath": "m/44'/60'/0'/0/5",
"label": "User Wallet 5",
"isActive": true,
"registeredAt": "2026-01-22T10:00:00.000Z",
"lastSyncedAt": null,
"createdAt": "2026-01-22T10:00:00.000Z",
"updatedAt": "2026-01-22T10:00:00.000Z"
}
}{
"success": true,
"message": "Address registered successfully",
"data": {
"_id": "65a1b2c3d4e5f6789012345a",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"chain": "ethereum",
"org": "685acbe0e129932fbb7a0fc3",
"project": "685ad30be129932fbb7a1047",
"derivationPath": "m/44'/60'/0'/0/5",
"label": "User Wallet 5",
"isActive": true,
"registeredAt": "2026-01-22T10:00:00.000Z",
"lastSyncedAt": null,
"createdAt": "2026-01-22T10:00:00.000Z",
"updatedAt": "2026-01-22T10:00:00.000Z"
}
}400—
401—
429—
Errors
| Code | Meaning |
|---|---|
400 | — |
401 | — |
429 | — |